unable to install kiteconnect with pip3

keshav_
copying kiteconnect.egg-info/PKG-INFO -> build/bdist.linux-x86_64/egg/EGG-INFO
copying kiteconnect.egg-info/SOURCES.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying kiteconnect.egg-info/dependency_links.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying kiteconnect.egg-info/requires.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying kiteconnect.egg-info/top_level.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
zip_safe flag not set; analyzing archive contents...
Traceback (most recent call last):
File "", line 1, in
File "/tmp/pip-build-jlc2r1lc/kiteconnect/setup.py", line 126, in
cmdclass={"install": install, "bdist_wheel": FakeBdist}
File "/usr/lib/python3.7/site-packages/setuptools/__init__.py", line 129, in setup
return distutils.core.setup(**attrs)
File "/usr/lib64/python3.7/distutils/core.py", line 148, in setup
dist.run_commands()
File "/usr/lib64/python3.7/distutils/dist.py", line 966, in run_commands
self.run_command(cmd)
File "/usr/lib64/python3.7/distutils/dist.py", line 985, in run_command
cmd_obj.run()
File "/tmp/pip-build-jlc2r1lc/kiteconnect/setup.py", line 48, in run
_install.do_egg_install(self)
File "/usr/lib/python3.7/site-packages/setuptools/command/install.py", line 109, in do_egg_install
self.run_command('bdist_egg')
File "/usr/lib64/python3.7/distutils/cmd.py", line 313, in run_command
self.distribution.run_command(command)
File "/usr/lib64/python3.7/distutils/dist.py", line 985, in run_command
cmd_obj.run()
File "/usr/lib/python3.7/site-packages/setuptools/command/bdist_egg.py", line 218, in run
os.path.join(archive_root, 'EGG-INFO'), self.zip_safe()
File "/usr/lib/python3.7/site-packages/setuptools/command/bdist_egg.py", line 269, in zip_safe
return analyze_egg(self.bdist_dir, self.stubs)
File "/usr/lib/python3.7/site-packages/setuptools/command/bdist_egg.py", line 379, in analyze_egg
safe = scan_module(egg_dir, base, name, stubs) and safe
File "/usr/lib/python3.7/site-packages/setuptools/command/bdist_egg.py", line 416, in scan_module
code = marshal.load(f)
ValueError: bad marshal data (unknown type code)

----------------------------------------
Command "/usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-jlc2r1lc/kiteconnect/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-tru18v11-record/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /tmp/pip-build-jlc2r1lc/kiteconnect/
  • zartimus
    `pip uninstall kiteconnect`
    `pip install kiteconnect==3.7.6`
    Also check this thread https://kite.trade/forum/discussion/5204/kite-connect-is-not-working-on-python-3-7#latest
  • keshav_
    Same Error

    creating build/bdist.linux-x86_64/egg/EGG-INFO
    copying kiteconnect.egg-info/PKG-INFO -> build/bdist.linux-x86_64/egg/EGG-INFO
    copying kiteconnect.egg-info/SOURCES.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
    copying kiteconnect.egg-info/dependency_links.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
    copying kiteconnect.egg-info/requires.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
    copying kiteconnect.egg-info/top_level.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
    zip_safe flag not set; analyzing archive contents...
    Traceback (most recent call last):
    File "", line 1, in
    File "/tmp/pip-build-go5_dfrj/kiteconnect/setup.py", line 126, in
    cmdclass={"install": install, "bdist_wheel": FakeBdist}
    File "/usr/lib/python3.7/site-packages/setuptools/__init__.py", line 129, in setup
    return distutils.core.setup(**attrs)
    File "/usr/lib64/python3.7/distutils/core.py", line 148, in setup
    dist.run_commands()
    File "/usr/lib64/python3.7/distutils/dist.py", line 966, in run_commands
    self.run_command(cmd)
    File "/usr/lib64/python3.7/distutils/dist.py", line 985, in run_command
    cmd_obj.run()
    File "/tmp/pip-build-go5_dfrj/kiteconnect/setup.py", line 48, in run
    _install.do_egg_install(self)
    File "/usr/lib/python3.7/site-packages/setuptools/command/install.py", line 109, in do_egg_install
    self.run_command('bdist_egg')
    File "/usr/lib64/python3.7/distutils/cmd.py", line 313, in run_command
    self.distribution.run_command(command)
    File "/usr/lib64/python3.7/distutils/dist.py", line 985, in run_command
    cmd_obj.run()
    File "/usr/lib/python3.7/site-packages/setuptools/command/bdist_egg.py", line 218, in run
    os.path.join(archive_root, 'EGG-INFO'), self.zip_safe()
    File "/usr/lib/python3.7/site-packages/setuptools/command/bdist_egg.py", line 269, in zip_safe
    return analyze_egg(self.bdist_dir, self.stubs)
    File "/usr/lib/python3.7/site-packages/setuptools/command/bdist_egg.py", line 379, in analyze_egg
    safe = scan_module(egg_dir, base, name, stubs) and safe
    File "/usr/lib/python3.7/site-packages/setuptools/command/bdist_egg.py", line 416, in scan_module
    code = marshal.load(f)
    ValueError: bad marshal data (unknown type code)

    ----------------------------------------
    Command "/usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-go5_dfrj/kiteconnect/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-5gifzob6-record/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /tmp/pip-build-go5_dfrj/kiteconnect/
  • zartimus
    @keshav_ not able to reproduce this error on python 3.7
    Can you give your exact python version even if it is alpha release?
    Also your platform, architecture.
    And this
    import sys
    print sys.maxunicode
  • mehullala
    run following:
    pip install setuptools --upgrade
    pip install kiteconnect
  • mehullala
    mehullala edited May 24
    @keshav_
    just an update on syntax error:
    pip install --upgrade pip
    pip install --upgrade setuptools
    pip install kiteconnect
  • AutoTrade
    @keshav
    I am getting the following error....installing kiteconnect is a nightmare experience


    copying src\twisted\test\key.pem.no_trailing_newline -> build\lib.win-amd64-
    3.5\twisted\test
    copying src\twisted\test\server.pem -> build\lib.win-amd64-3.5\twisted\test
    copying src\twisted\test\test_defer.py.3only -> build\lib.win-amd64-3.5\twis
    ted\test
    copying src\twisted\internet\iocpreactor\notes.txt -> build\lib.win-amd64-3.
    5\twisted\internet\iocpreactor
    copying src\twisted\internet\test\_awaittests.py.3only -> build\lib.win-amd6
    4-3.5\twisted\internet\test
    copying src\twisted\internet\test\_yieldfromtests.py.3only -> build\lib.win-
    amd64-3.5\twisted\internet\test
    creating build\lib.win-amd64-3.5\twisted\internet\test\fake_CAs
    copying src\twisted\internet\test\fake_CAs\chain.pem -> build\lib.win-amd64-
    3.5\twisted\internet\test\fake_CAs
    copying src\twisted\internet\test\fake_CAs\not-a-certificate -> build\lib.wi
    n-amd64-3.5\twisted\internet\test\fake_CAs
    copying src\twisted\internet\test\fake_CAs\thing1.pem -> build\lib.win-amd64
    -3.5\twisted\internet\test\fake_CAs
    copying src\twisted\internet\test\fake_CAs\thing2-duplicate.pem -> build\lib
    .win-amd64-3.5\twisted\internet\test\fake_CAs
    copying src\twisted\internet\test\fake_CAs\thing2.pem -> build\lib.win-amd64
    -3.5\twisted\internet\test\fake_CAs
    copying src\twisted\mail\test\rfc822.message -> build\lib.win-amd64-3.5\twis
    ted\mail\test
    copying src\twisted\python\test\_deprecatetests.py.3only -> build\lib.win-am
    d64-3.5\twisted\python\test
    copying src\twisted\words\im\instancemessenger.glade -> build\lib.win-amd64-
    3.5\twisted\words\im
    copying src\twisted\words\xish\xpathparser.g -> build\lib.win-amd64-3.5\twis
    ted\words\xish
    running build_ext
    building 'twisted.test.raiser' extension
    error: Microsoft Visual C++ 14.0 is required. Get it with "Microsoft Visual
    C++ Build Tools": http://landinghub.visualstudio.com/visual-cpp-build-tools
    ----------------------------------------
    ERROR: Command "'c:\anaconda\python.exe' -u -c 'import setuptools, tokenize;__fi
    le__='"'"'C:\\Users\\ADMINI~1\\AppData\\Local\\Temp\\pip-install-4849f46h\\Twist
    ed\\setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.rea
    d().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__,
    '"'"'exec'"'"'))' install --record 'C:\Users\ADMINI~1\AppData\Local\Temp\pip-re
    cord-n4figoza\install-record.txt' --single-version-externally-managed --compile"
    failed with error code 1 in C:\Users\ADMINI~1\AppData\Local\Temp\pip-install-48
    49f46h\Twisted\

    (C:\anaconda) C:\Users\Administrator>pip install setuptools --upgrade
    Collecting setuptools
    Using cached https://files.pythonhosted.org/packages/ec/51/f45cea425fd5cb0b038
    0f5b0f048ebc1da5b417e48d304838c02d6288a1e/setuptools-41.0.1-py2.py3-none-any.whl

    Installing collected packages: setuptools
    Found existing installation: setuptools 27.2.0
    ERROR: Cannot remove entries from nonexistent file c:\anaconda\lib\site-packages
    \easy-install.pth

    (C:\anaconda) C:\Users\Administrator>import sys
    'import' is not recognized as an internal or external command,
    operable program or batch file.

    (C:\anaconda) C:\Users\Administrator>
    (C:\anaconda) C:\Users\Administrator>
  • AutoTrade
    I did all the suggestions , but couldn't be success in installing kiteconnect.
  • rakeshr
    @AutoTrade
    import' is not recognized as an internal or external command,
    operable program or batch file.
    This error suggests you haven't added python to the environment variable. Can you check the same?
    error: Microsoft Visual C++ 14.0 is required. Get it with "Microsoft Visual
    C++ Build Tools": http://landinghub.visualstudio.com/visual-cpp-build-tools
    You need to install VC++ 14.0 externally.Follow this link.
  • AutoTrade
    Hi Rakesh, Thanks so much for the reponse.

    I did so many things but couldn't success in it. yes i installed build tools(M VC++ 14.0 also. but still its throwing the same error.

    Could you please provided me the step by step for kiteconnect installations

    my OS = Win7
    64bit
    using Anaconda
Sign In or Register to comment.